<?php

namespace App\Filament\Resources\TypeEncadrements\Schemas;

use Filament\Forms\Components\TextInput;
use Filament\Schemas\Schema;

class TypeEncadrementForm
{
    public static function configure(Schema $schema): Schema
    {
        return $schema
            ->components([
                TextInput::make('libelle')
                    ->required()
                    ->maxLength(255),
                TextInput::make('charge')
                    ->required()
                    ->numeric(),
            ]);
    }
}
